@echo off
setlocal
PUSHD %~dp0
::-------------------------------------------------
:: Autor: Erich Vonach
::        IT-Regionalbetreuer
:: Datum: 11.06.2019
::-------------------------------------------------
::
::------------ Variable setzten -------------------
::
set SourceDir=%cd%
set CName=Server
::
::
::-------------------------------------------------

::------------ SERVER-ermitteln -------------------
::
if EXIST "\\server\netlogon" goto noDFS
if EXIST "\\schule.aps\netlogon" goto DFS
::
:noDFS
set MYSERVER=Server
set MYSERVER1=Server
set MYSERVER2=Server
set VERKNUEPFUNGEN=Verknuepfungen_noDFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_noDFS_Lehrer
set BATCOPY=Bat_noDFS
::
goto Abfrage

:DFS
set MYSERVER=schule.aps
set MYSERVER1=schule.aps\dfs
set MYSERVER2=DCSchule
set VERKNUEPFUNGEN=Verknuepfungen_DFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_DFS_Lehrer
set BATCOPY=Bat_DFS
::
goto Abfrage
::
cls
::
:Abfrage
::
set PATCHNR=RBSrv19_W2k19_P001
set LOGFILE=\\%MYSERVER1%\Logs\%PATCHNR%.log
::
if exist %LOGFILE% goto noPatch
::
:: gehe zum Standardprogramm und kehre zu Befehle zurck
:: - wurde Batch schon ausgefhrt?
:: - ist Batch fr Betriebssystem geeignet?
::
goto Standardprogramm
::
:Befehle
::
::-----------------
::  Abfrage Eignung
::-----------------
::
If /i %computername%==%CName% goto ANWEISUNGEN
goto UNGEEIGNET
::
:ANWEISUNGEN
::
::
color E0
::
echo.
echo -------------------------------------------------------------------------------
echo.
echo      Dies ist der 1. Patch fr die Standardschulinstallation 2019
echo.
echo -------------------------------------------------------------------------------
echo.
echo.
echo   - Austausch der GPO 'B_Office2019'
echo.
echo   - Austausch der Datei 'userlogin_v18.1.vbs'
echo   - Austausch der Datei 'userlogout_v18.1.vbs'
echo.
echo.
echo -------------------------------------------------------------------------------
echo   Weiter mit "ja" plus ENTER    (andere Taste bricht ab)
echo -------------------------------------------------------------------------------
set /p AUSWAHL= fortsetzen?   
echo. -------------------------------------------------------
if /i "%AUSWAHL%"=="ja" goto WEITER_1
echo.
echo ... abgebrochen ...
ping -n 3 127.0.0.1 >nul
del %LOGFILE%
exit
rem -----Raus-----------------------
::
::
::---------------
::  Kopiervorgang
::---------------
::
:Weiter_1
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE%"
echo --^>   Script-Dateien wurden nach '...\netlogon\Utilities\User-Login-Logout-Monitor' kopiert       		>>"%LOGFILE%"
echo.                                                                              					>>"%LOGFILE%"
:: ====LOG=============================================================================
::
xcopy "%SourceDir%\_Server\Netlogon\*.*" "\\%MYSERVER2%\Netlogon\Utilities\User-Login-Logout-Monitor" /K /R /E /I /S /C /H /Y
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE%"
echo --^>   Die GPO 'B_Office2019' wurde ersetzt							       		>>"%LOGFILE%"
echo.                                                                              					>>"%LOGFILE%"
:: ====LOG=============================================================================
::
cscript "%SourceDir%\_Server\Tools\DeleteGPO.wsf" B_Office2019
cscript "%SourceDir%\_Server\Tools\ImportGPO.wsf" %SourceDir%\_Server\GPO\B_Office2019 B_Office2019 /CreateIfNeeded
cscript "%SourceDir%\_Server\Tools\CreateEnvironmentFromXML.wsf" /XML:%SourceDir%\_Server\GPO\B_Office2019.xml /createUserenabeled /Q
::
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo   Vorgang wurde erfolgreich ausgefhrt!
echo.
echo   Nach einem Tastendruck ffnen Gruppenrichtlinienverwaltung
echo   zur allflligen Kontrolle der GPO 'B_Office2019'
echo.
echo   und der Windows-Explorer zur Kontrolle des nderungsdatums
echo   der beiden Script-Dateien (11.06.2019)
echo.
echo.
echo   Ein Log-File ist im Ordner '...\LOGS' zu finden
echo  --------------------------------------------------------------
echo.
::
pause
::
start /B %SystemRoot%\system32\gpmc.msc
::
explorer.exe \\%MYSERVER2%\netlogon\Utilities\User-Login-Logout-Monitor
::
goto ENDE
::
:UNGEEIGNET
echo  ---------------------------------------------------
cls
color 4F
echo.
echo.
echo  Falscher Rechner!
echo  Dieser Batch muss auf dem %CName% ausgefhrt werden.
echo.
echo  ---------------------------------------------------
echo.
pause
goto ENDE
::

:: ************************************************************************************
:: * Patch bereits ausgefhrt                                                         *
:: ************************************************************************************
:NoPatch
cls
color 4F
echo.
echo.
echo Diese Installationsroutine wurde auf diesem Rechner bereits ausgefhrt.
echo.
echo Siehe %LOGFILE%
echo.
echo.
pause
goto ENDE
::
:Standardprogramm

:: * Log-Datei erstellen *
::************************
::
:: ====LOG================================================================================
echo Autor E. Vonach    				      		      >>"%LOGFILE%"
echo Dieses Logfile bitte nicht lschen!				      >>"%LOGFILE%"
echo Patch ausgefhrt am                   %date%  um  Zeit:  %time%          >>"%LOGFILE%"
echo.
echo Protokoll:             %LOGFILE%                                         >>"%LOGFILE%"
echo ------------------------------------------------------------------------ >>"%LOGFILE%"
echo.                                                                         >>"%LOGFILE%"
:: ====LOG================================================================================
::

goto Befehle
:ENDE
endlocal
